patches/gnome-java-01-runExample.diff
author yippi
Mon, 27 Sep 2010 21:07:51 +0000
changeset 20108 51df67ca9307
parent 8439 2e6b4060e814
permissions -rw-r--r--
I had these modules listed as being owned by me, but they are really owned by wangke, correcting.
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
8439
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     1
diff -uNr libgnome-java-2.12.6.orig/doc/examples/runExample.sh.in libgnome-java-2.12.6/doc/examples/runExample.sh.in
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     2
--- libgnome-java-2.12.6.orig/doc/examples/runExample.sh.in	2006-10-26 14:52:02.183551000 +0100
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     3
+++ libgnome-java-2.12.6/doc/examples/runExample.sh.in	2006-10-26 15:55:31.961544000 +0100
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     4
@@ -3,14 +3,6 @@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     5
 # A small script to help run example apps
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     6
 #
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     7
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     8
-prefix=@prefix@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     9
-exec_prefix=@exec_prefix@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    10
-libdir=@libdir@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    11
-classpath=@INSTALLED_CLASSPATH@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    12
-
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    13
-GNOMEJAVA_LIB=$libdir
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    14
-GNOMEJAVA_JAR=$classpath
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    15
-
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    16
 # You should not need to modify anything below here
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    17
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    18
 error_message ()
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    19
@@ -30,8 +22,8 @@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    20
 echo "Java-Gnome Example Application Launcher"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    21
 echo
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    22
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    23
-GLIBJAVA_JAR=`pkg-config --variable classpath glib-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    24
-if ! test -n "$GLIBJAVA_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    25
+JGLIB_JAR=`pkg-config --variable classpath glib-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    26
+if ! test -n "$JGLIB_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    27
 	echo "Package glib-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    28
 	echo "Perhaps you should add the directory containing 'glib-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    29
 	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    30
@@ -39,35 +31,36 @@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    31
 	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    32
 fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    33
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    34
-GLIBJAVA_LIB=`pkg-config --variable libdir glib-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    35
-if ! test -n "$GLIBJAVA_LIB"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    36
-	echo "Library requirements (libglibjni >= 0.2) not met;"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    37
-	echo "consider adjusting the PKG_CONFIG_PATH environment" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    38
-	echo "variable if your libraries are in a nonstandard prefix" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    39
-	echo "so pkg-config can find them."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    40
+JGTK_JAR=`pkg-config --variable classpath gtk2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    41
+if ! test -n "$JGTK_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    42
+	echo "Package gtk2-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    43
+	echo "Perhaps you should add the directory containing 'gtk2-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    44
+	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    45
+	echo "No package 'gtk2-java' found"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    46
 	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    47
 fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    48
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    49
-GTKJAVA_JAR=`pkg-config --variable classpath gtk2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    50
-if ! test -n "$GTKJAVA_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    51
-	echo "Package gtk2-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    52
-	echo "Perhaps you should add the directory containing 'gtk2-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    53
+JGNOME_JAR=`pkg-config --variable classpath gnome2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    54
+if ! test -n "$JGNOME_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    55
+	echo "Package gnome2-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    56
+	echo "Perhaps you should add the directory containing 'gnome2-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    57
 	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    58
 	echo "No package 'gtk2-java' found"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    59
 	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    60
 fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    61
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    62
-GTKJAVA_LIB=`pkg-config --variable libdir gtk2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    63
-if ! test -n "$GTKJAVA_LIB"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    64
-	echo "Library requirements (libgtkjava2.4) not met;"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    65
+JGNOME_LIBDIR=`pkg-config --variable libdir gnome2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    66
+if ! test -n "$JGNOME_LIBDIR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    67
+	echo "Library requirements for gnome2-java not met;"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    68
 	echo "consider adjusting the PKG_CONFIG_PATH environment" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    69
 	echo "variable if your libraries are in a nonstandard prefix" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    70
 	echo "so pkg-config can find them."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    71
 	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    72
 fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    73
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    74
-NEED_LIB="$GLIBJAVA_LIB $GTKJAVA_LIB $GNOMEJAVA_LIB"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    75
-NEED_JAR="$GLIBJAVA_JAR $GTKJAVA_JAR $GNOMEJAVA_JAR"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    76
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    77
+NEED_LIB="$JGNOME_LIBDIR"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    78
+NEED_JAR="$JGLIB_JAR $JGTK_JAR $JGNOME_JAR"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    79
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    80
 echo "Checking for jvm and compiler availability..."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    81